
Infrastructure - Task #4677

Story # 4466 (Closed): Base VM operating systems and sofware need to be upgraded

Task # 4468 (Closed): Test d1_common_java on Ubuntu 12.04 with Java 7

Test d1_jibx_extensions on Ubuntu 12.04 with Java 7

2014-04-01 17:40 - Rob Nahf

Status: Closed Start date: 2014-04-01

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: zz_d1_jibx_extensions Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Milestone: None Story Points:  

Product Version: *   

Description

Initial Jenkins job on jenkins-1.dataone.org results in a severe error.

History

#1 - 2014-04-01 17:41 - Rob Nahf

(error below)

The jibx dependencies in d1_jibx_extensions are all listed as "provided", so this could be the problem on jenkins-1 which doesn't have the

dependency.

[FATAL ERROR] org.apache.maven.plugin.antrun.AntRunMojo#execute() caused a linkage error (java.lang.NoSuchMethodError) and may be

out-of-date. Check the realms:

[FATAL ERROR] Plugin realm = app0.child-container[org.apache.maven.plugins:maven-antrun-plugin:1.6]

urls[0] = file:/home/rnahf/.m2/repository/org/apache/maven/plugins/maven-antrun-plugin/1.6/maven-antrun-plugin-1.6.jar

urls[1] = file:/home/rnahf/.m2/repository/ant/ant-nodeps/1.6.5/ant-nodeps-1.6.5.jar

urls[2] = file:/home/rnahf/.m2/repository/org/apache/ant/ant-apache-oro/1.8.4/ant-apache-oro-1.8.4.jar

urls[3] = file:/home/rnahf/.m2/repository/org/apache/ant/ant/1.8.4/ant-1.8.4.jar

urls[4] = file:/home/rnahf/.m2/repository/org/apache/ant/ant-launcher/1.8.4/ant-launcher-1.8.4.jar

urls[5] = file:/home/rnahf/.m2/repository/oro/oro/2.0.8/oro-2.0.8.jar

urls[6] = file:/home/rnahf/.m2/repository/org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.jar

urls[7] = file:/home/rnahf/.m2/repository/org/apache/ant/ant-nodeps/1.8.1/ant-nodeps-1.8.1.jar

[FATAL ERROR] Container realm = plexus.core

urls[0] = file:/usr/share/maven2/lib/maven-debian-uber.jar

[INFO] ------------------------------------------------------------------------

[ERROR] FATAL ERROR

[INFO] ------------------------------------------------------------------------

[INFO] org.apache.tools.ant.launch.Locator.fromJarURI(Ljava/lang/String;)Ljava/lang/String;

[INFO] ------------------------------------------------------------------------

[INFO] Trace

java.lang.NoSuchMethodError: org.apache.tools.ant.launch.Locator.fromJarURI(Ljava/lang/String;)Ljava/lang/String;

at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:284)

at org.apache.tools.ant.helper.ProjectHelper2.parseUnknownElement(ProjectHelper2.java:131)

at org.apache.tools.ant.helper.ProjectHelper2.parseAntlibDescriptor(ProjectHelper2.java:111)

at org.apache.tools.ant.taskdefs.Antlib.createAntlib(Antlib.java:91)

at org.apache.tools.ant.taskdefs.Definer.loadAntlib(Definer.java:440)

at org.apache.tools.ant.taskdefs.Definer.execute(Definer.java:292)

at org.apache.maven.plugin.antrun.AntRunMojo.initMavenTasks(AntRunMojo.java:449)

at org.apache.maven.plugin.antrun.AntRunMojo.execute(AntRunMojo.java:259)

at org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:490)

at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:694)

at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWithLifecycle(DefaultLifecycleExecutor.java:556)

at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:535)

at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:387)

at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:348)

at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:180)

at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:328)

at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)

at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)

at org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMain.java:60)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:606)

at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)

at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)

at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)

at org.codehaus.classworlds.Launcher.main(Launcher.java:375)

[INFO] ------------------------------------------------------------------------

[INFO] Total time: 3 seconds

[INFO] Finished at: Tue Apr 01 16:35:04 UTC 2014

[INFO] Final Memory: 29M/315M

[INFO] ------------------------------------------------------------------------

rnahf@jenkins-1:~/d1_jibx_extensions$ mvn -v

Apache Maven 2.2.1 (rdebian-8)

Java version: 1.7.0_51

Java home: /usr/lib/jvm/java-7-openjdk-amd64/jre

Default locale: en_US, platform encoding: UTF-8

OS name: "linux" version: "3.2.0-60-generic" arch: "amd64" Family: "unix"

#2 - 2014-04-02 15:57 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

the problem was that I installed the wrong maven.  The 'maven2' package is outdated, (although you wouldn't know it by their project documentation),

and 'maven' is now at the head, installing version 3.

Once I replaced the maven2 package with maven, I could successfully build.

#3 - 2014-06-30 22:08 - Robert Waltz

- Target version set to 2014.26-Block.4.1
